Subject: bug#53614: closed (Re: [PATCH] gnu: python-pyqtgraph: Remove a transitive dependency on QtWebKit.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Feb 2022 19:37:02 +0000

Your bug report

#53614: [PATCH] gnu: python-pyqtgraph: Remove a transitive dependency on QtWebKit.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53614: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53614
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: python-pyqtgraph: Remove a transitive dependency on QtWebKit.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 16 Feb 2022 14:36:45 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as 0dc0d87839ccb7e85f99d7469da1ef478a1c8dc4

Subject: [PATCH] gnu: python-pyqtgraph: Remove a transitive dependency on QtWebKit.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 28 Jan 2022 14:49:51 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

See <https://issues.guix.gnu.org/53289> for more information about this change.

These are the packages that depend directly on pyqtgraph:

------
./pre-inst-env guix package -s . | recsel -e 'dependencies ~ "python-pyqtgraph"' -p name,synopsis
name: gnuradio                                          
synopsis: Toolkit for software-defined radios  

name: python-orange-widget-base
synopsis: Base Widget for Orange Canvas  

name: orange
synopsis: Component-based data mining framework  
------

They all build with this change. I'm confident that it won't cause a regression
for gnuradio, because we switched gnuradio from python-pyqt to
python-pyqt-without-qtwebkit months ago.

Vinicius, I've CC-ed you so that you can check if this causes problems for
Orange. I think it's unlikely, because Orange depends directly on QtWebEngine,
which replaces QtWebKit in the world of Qt.

* gnu/packages/python-xyz.scm (python-pyqtgraph)[propagated-inputs]: Replace
python-pyqt with python-pyqt-without-qtwebkit.
---
 gnu/packages/python-xyz.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index a8aff94334..3b1956fecd 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -14794,7 +14794,7 @@ (define-public python-pyqtgraph
      (list qtbase-5))
     (propagated-inputs
      (list python-h5py python-numpy python-pyopengl python-scipy
-           python-pyqt))
+           python-pyqt-without-qtwebkit))
     (home-page "http://www.pyqtgraph.org")
     (synopsis "Scientific graphics and GUI library for Python")
     (description
-- 
2.34.0